# HG changeset patch
# Node ID 2e07fe7d5956
# Parent  79a69a5933f3
diff --git a/libpurple/plugins/autoaccept/autoaccept.c b/libpurple/plugins/autoaccept/autoaccept.c
--- a/libpurple/plugins/autoaccept/autoaccept.c
+++ b/libpurple/plugins/autoaccept/autoaccept.c
@@ -96,7 +96,7 @@
 }
 
 static void
-file_recv_request_cb(PurpleXfer *xfer, gpointer handle)
+file_recv_request_cb(PurpleXfer *xfer, G_GNUC_UNUSED gpointer data)
 {
 	GSettings *settings = NULL;
 	PurpleAccount *account;
@@ -252,7 +252,7 @@
 }
 
 static GPluginPluginInfo *
-auto_accept_query(GError **error)
+auto_accept_query(G_GNUC_UNUSED GError **error)
 {
 	const gchar * const authors[] = PLUGIN_AUTHORS;
 
@@ -272,7 +272,7 @@
 }
 
 static gboolean
-auto_accept_load(GPluginPlugin *plugin, GError **error)
+auto_accept_load(GPluginPlugin *plugin, G_GNUC_UNUSED GError **error)
 {
 	GSettings *settings = NULL;
 	gchar *dirname;
@@ -306,7 +306,9 @@
 }
 
 static gboolean
-auto_accept_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error)
+auto_accept_unload(G_GNUC_UNUSED GPluginPlugin *plugin,
+                   G_GNUC_UNUSED gboolean shutdown,
+                   G_GNUC_UNUSED GError **error)
 {
 	return TRUE;
 }
diff --git a/libpurple/plugins/buddynote/buddynote.c b/libpurple/plugins/buddynote/buddynote.c
--- a/libpurple/plugins/buddynote/buddynote.c
+++ b/libpurple/plugins/buddynote/buddynote.c
@@ -24,7 +24,8 @@
 #include <purple.h>
 
 static void
-dont_do_it_cb(PurpleBlistNode *node, const char *note)
+dont_do_it_cb(G_GNUC_UNUSED PurpleBlistNode *node,
+              G_GNUC_UNUSED const char *note)
 {
 }
 
@@ -35,7 +36,7 @@
 }
 
 static void
-buddynote_edit_cb(PurpleBlistNode *node, gpointer data)
+buddynote_edit_cb(PurpleBlistNode *node, G_GNUC_UNUSED gpointer data)
 {
 	const char *note;
 
@@ -64,7 +65,7 @@
 }
 
 static GPluginPluginInfo *
-buddy_note_query(GError **error)
+buddy_note_query(G_GNUC_UNUSED GError **error)
 {
 	const gchar * const authors[] = {
 		"Stu Tomlinson <stu@nosnilmot.com>",
@@ -87,7 +88,7 @@
 }
 
 static gboolean
-buddy_note_load(GPluginPlugin *plugin, GError **error)
+buddy_note_load(GPluginPlugin *plugin, G_GNUC_UNUSED GError **error)
 {
 
 	purple_signal_connect(purple_blist_get_handle(), "blist-node-extended-menu",
@@ -97,7 +98,9 @@
 }
 
 static gboolean
-buddy_note_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error)
+buddy_note_unload(G_GNUC_UNUSED GPluginPlugin *plugin,
+                  G_GNUC_UNUSED gboolean shutdown,
+                  G_GNUC_UNUSED GError **error)
 {
 	return TRUE;
 }
diff --git a/libpurple/plugins/idle/idle.c b/libpurple/plugins/idle/idle.c
--- a/libpurple/plugins/idle/idle.c
+++ b/libpurple/plugins/idle/idle.c
@@ -78,7 +78,7 @@
 }
 
 static void
-idle_action_ok(void *ignored, PurpleRequestFields *fields)
+idle_action_ok(G_GNUC_UNUSED gpointer data, PurpleRequestFields *fields)
 {
 	PurpleAccount *acct = purple_request_fields_get_account(fields, "acct");
 	PurpleContactInfo *info = PURPLE_CONTACT_INFO(acct);
@@ -95,7 +95,7 @@
 }
 
 static void
-idle_all_action_ok(void *ignored, PurpleRequestFields *fields)
+idle_all_action_ok(G_GNUC_UNUSED gpointer data, PurpleRequestFields *fields)
 {
 	PurpleAccountManager *manager = NULL;
 	PurpleAccount *acct = NULL;
@@ -124,7 +124,7 @@
 }
 
 static void
-unidle_action_ok(void *ignored, PurpleRequestFields *fields)
+unidle_action_ok(G_GNUC_UNUSED gpointer data, PurpleRequestFields *fields)
 {
 	PurpleAccount *acct = purple_request_fields_get_account(fields, "acct");
 
@@ -135,7 +135,7 @@
 }
 
 static void
-signing_off_cb(PurpleConnection *gc, void *data)
+signing_off_cb(PurpleConnection *gc, G_GNUC_UNUSED gpointer data)
 {
 	PurpleAccount *account;
 
@@ -258,7 +258,7 @@
  * GPlugin Exports
  *****************************************************************************/
 static GPluginPluginInfo *
-idle_query(GError **error)
+idle_query(G_GNUC_UNUSED GError **error)
 {
 	GSimpleActionGroup *group = NULL;
 	GActionEntry entries[] = {
@@ -314,7 +314,7 @@
 }
 
 static gboolean
-idle_load(GPluginPlugin *plugin, GError **error)
+idle_load(GPluginPlugin *plugin, G_GNUC_UNUSED GError **error)
 {
 	purple_signal_connect(purple_connections_get_handle(), "signing-off",
 						plugin,
@@ -324,7 +324,9 @@
 }
 
 static gboolean
-idle_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error)
+idle_unload(G_GNUC_UNUSED GPluginPlugin *plugin,
+            G_GNUC_UNUSED gboolean shutdown,
+            G_GNUC_UNUSED GError **error)
 {
 	purple_idle_unset_all_accounts_idle_time(NULL, NULL, NULL);
 
diff --git a/libpurple/plugins/joinpart/joinpart.c b/libpurple/plugins/joinpart/joinpart.c
--- a/libpurple/plugins/joinpart/joinpart.c
+++ b/libpurple/plugins/joinpart/joinpart.c
@@ -122,22 +122,25 @@
 	return TRUE;
 }
 
-static gboolean chat_user_leaving_cb(PurpleConversation *conv, const char *name,
-                               const char *reason, GHashTable *users)
+static gboolean
+chat_user_leaving_cb(PurpleConversation *conv, const char *name,
+                     G_GNUC_UNUSED const char *reason, GHashTable *users)
 {
 	return should_hide_notice(conv, name, users);
 }
 
-static gboolean chat_user_joining_cb(PurpleConversation *conv, const char *name,
-                                      PurpleChatUserFlags flags,
-                                      GHashTable *users)
+static gboolean
+chat_user_joining_cb(PurpleConversation *conv, const char *name,
+                     G_GNUC_UNUSED PurpleChatUserFlags flags,
+                     GHashTable *users)
 {
 	return should_hide_notice(conv, name, users);
 }
 
-static void received_chat_msg_cb(PurpleAccount *account, char *sender,
-                                 char *message, PurpleConversation *conv,
-                                 PurpleMessageFlags flags, GHashTable *users)
+static void
+received_chat_msg_cb(G_GNUC_UNUSED PurpleAccount *account, char *sender,
+                     G_GNUC_UNUSED char *message, PurpleConversation *conv,
+                     G_GNUC_UNUSED PurpleMessageFlags flags, GHashTable *users)
 {
 	struct joinpart_key key;
 	time_t *last_said;
@@ -190,7 +193,7 @@
 }
 
 static GPluginPluginInfo *
-join_part_query(GError **error)
+join_part_query(G_GNUC_UNUSED GError **error)
 {
 	const gchar * const authors[] = {
 		"Richard Laager <rlaager@pidgin.im>",
@@ -215,7 +218,7 @@
 }
 
 static gboolean
-join_part_load(GPluginPlugin *plugin, GError **error)
+join_part_load(GPluginPlugin *plugin, G_GNUC_UNUSED GError **error)
 {
 	void *conv_handle;
 	GHashTable *users;
@@ -244,7 +247,9 @@
 }
 
 static gboolean
-join_part_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error)
+join_part_unload(GPluginPlugin *plugin,
+                 G_GNUC_UNUSED gboolean shutdown,
+                 G_GNUC_UNUSED GError **error)
 {
 	/* Destroy the hash table. The core plugin code will
 	 * disconnect the signals, and since Purple is single-threaded,
diff --git a/libpurple/plugins/kwallet/purplekwallet.cpp b/libpurple/plugins/kwallet/purplekwallet.cpp
--- a/libpurple/plugins/kwallet/purplekwallet.cpp
+++ b/libpurple/plugins/kwallet/purplekwallet.cpp
@@ -396,7 +396,7 @@
 }
 
 static gchar *
-purple_kwallet_read_password_finish(PurpleCredentialProvider *provider,
+purple_kwallet_read_password_finish(G_GNUC_UNUSED PurpleCredentialProvider *provider,
                                     GAsyncResult *result, GError **error)
 {
 	return (gchar *)g_task_propagate_pointer(G_TASK(result), error);
@@ -428,7 +428,7 @@
 }
 
 static gboolean
-purple_kwallet_write_password_finish(PurpleCredentialProvider *provider,
+purple_kwallet_write_password_finish(G_GNUC_UNUSED PurpleCredentialProvider *provider,
                                      GAsyncResult *result, GError **error)
 {
 	return g_task_propagate_boolean(G_TASK(result), error);
@@ -459,7 +459,7 @@
 }
 
 static gboolean
-purple_kwallet_clear_password_finish(PurpleCredentialProvider *provider,
+purple_kwallet_clear_password_finish(G_GNUC_UNUSED PurpleCredentialProvider *provider,
                                      GAsyncResult *result, GError **error)
 {
 	return g_task_propagate_boolean(G_TASK(result), error);
@@ -519,7 +519,7 @@
 }
 
 static void
-purple_kwallet_provider_class_finalize(PurpleKWalletProviderClass *klass) {
+purple_kwallet_provider_class_finalize(G_GNUC_UNUSED PurpleKWalletProviderClass *klass) {
 }
 
 /******************************************************************************
diff --git a/libpurple/plugins/libsecret/libsecret.c b/libpurple/plugins/libsecret/libsecret.c
--- a/libpurple/plugins/libsecret/libsecret.c
+++ b/libpurple/plugins/libsecret/libsecret.c
@@ -77,8 +77,8 @@
  * Callbacks
  *****************************************************************************/
 static void
-purple_libsecret_read_password_callback(GObject *obj, GAsyncResult *result,
-                                        gpointer data)
+purple_libsecret_read_password_callback(G_GNUC_UNUSED GObject *obj,
+                                        GAsyncResult *result, gpointer data)
 {
 	GTask *task = G_TASK(data);
 	GError *error = NULL;
@@ -96,8 +96,8 @@
 }
 
 static void
-purple_libsecret_write_password_callback(GObject *obj, GAsyncResult *result,
-                                         gpointer data)
+purple_libsecret_write_password_callback(G_GNUC_UNUSED GObject *obj,
+                                         GAsyncResult *result, gpointer data)
 {
 	GTask *task = G_TASK(data);
 	GError *error = NULL;
@@ -115,8 +115,8 @@
 }
 
 static void
-purple_libsecret_clear_password_callback(GObject *obj, GAsyncResult *result,
-                                         gpointer data)
+purple_libsecret_clear_password_callback(G_GNUC_UNUSED GObject *obj,
+                                         GAsyncResult *result, gpointer data)
 {
 	GTask *task = G_TASK(data);
 	GError *error = NULL;
@@ -238,7 +238,7 @@
  * GObject Implementation
  *****************************************************************************/
 static void
-purple_libsecret_init(PurpleLibSecret *libsecret) {
+purple_libsecret_init(G_GNUC_UNUSED PurpleLibSecret *libsecret) {
 }
 
 static void
@@ -261,7 +261,7 @@
 }
 
 static void
-purple_libsecret_class_finalize(PurpleLibSecretClass *klass) {
+purple_libsecret_class_finalize(G_GNUC_UNUSED PurpleLibSecretClass *klass) {
 }
 
 /******************************************************************************
diff --git a/libpurple/plugins/notification-sound/notification-sound.c b/libpurple/plugins/notification-sound/notification-sound.c
--- a/libpurple/plugins/notification-sound/notification-sound.c
+++ b/libpurple/plugins/notification-sound/notification-sound.c
@@ -126,23 +126,23 @@
  * Callbacks
  *****************************************************************************/
 static void
-purple_notification_sound_im_message_received(PurpleAccount *account,
-                                              const gchar *sender,
-                                              const gchar *message,
-                                              PurpleConversation *conv,
-                                              PurpleMessageFlags flags,
-                                              gpointer data)
+purple_notification_sound_im_message_received(G_GNUC_UNUSED PurpleAccount *account,
+                                              G_GNUC_UNUSED const gchar *sender,
+                                              G_GNUC_UNUSED const gchar *message,
+                                              G_GNUC_UNUSED PurpleConversation *conv,
+                                              G_GNUC_UNUSED PurpleMessageFlags flags,
+                                              G_GNUC_UNUSED gpointer data)
 {
 	purple_notification_sound_play("message-new-instant");
 }
 
 static void
-purple_notification_sound_chat_message_received(PurpleAccount *account,
-                                                gchar *sender,
-                                                gchar *message,
-                                                PurpleConversation *conv,
-                                                PurpleMessageFlags flags,
-                                                gpointer data)
+purple_notification_sound_chat_message_received(G_GNUC_UNUSED PurpleAccount *account,
+                                                G_GNUC_UNUSED gchar *sender,
+                                                G_GNUC_UNUSED gchar *message,
+                                                G_GNUC_UNUSED PurpleConversation *conv,
+                                                G_GNUC_UNUSED PurpleMessageFlags flags,
+                                                G_GNUC_UNUSED gpointer data)
 {
 	purple_notification_sound_play("message-new-instant");
 }
diff --git a/libpurple/plugins/psychic/psychic.c b/libpurple/plugins/psychic/psychic.c
--- a/libpurple/plugins/psychic/psychic.c
+++ b/libpurple/plugins/psychic/psychic.c
@@ -39,7 +39,9 @@
 
 
 static void
-buddy_typing_cb(PurpleAccount *acct, const char *name, void *data) {
+buddy_typing_cb(PurpleAccount *acct, const char *name,
+                G_GNUC_UNUSED gpointer data)
+{
 	GSettings *settings = NULL;
 	PurpleConversation *im;
 	PurpleConversationManager *manager;
@@ -92,7 +94,7 @@
 
 
 static GPluginPluginInfo *
-psychic_query(GError **error) {
+psychic_query(G_GNUC_UNUSED GError **error) {
   const gchar * const authors[] = PLUGIN_AUTHORS;
 
   return purple_plugin_info_new(
@@ -112,7 +114,7 @@
 
 
 static gboolean
-psychic_load(GPluginPlugin *plugin, GError **error) {
+psychic_load(GPluginPlugin *plugin, G_GNUC_UNUSED GError **error) {
 
   void *convs_handle;
 
@@ -126,8 +128,10 @@
 
 
 static gboolean
-psychic_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error) {
-
+psychic_unload(G_GNUC_UNUSED GPluginPlugin *plugin,
+               G_GNUC_UNUSED gboolean shutdown,
+               G_GNUC_UNUSED GError **error)
+{
   return TRUE;
 }
 
diff --git a/libpurple/plugins/purple-toast/purple-toast.c b/libpurple/plugins/purple-toast/purple-toast.c
--- a/libpurple/plugins/purple-toast/purple-toast.c
+++ b/libpurple/plugins/purple-toast/purple-toast.c
@@ -74,7 +74,7 @@
 static GIcon *
 purple_toast_find_icon(PurpleAccount *account,
                        PurpleBuddy *buddy,
-                       const gchar *sender)
+                       G_GNUC_UNUSED const gchar *sender)
 {
 	GIcon *icon = NULL;
 
@@ -126,9 +126,9 @@
 purple_toast_im_message_received(PurpleAccount *account,
                                  const gchar *sender,
                                  const gchar *message,
-                                 PurpleConversation *conv,
-                                 PurpleMessageFlags flags,
-                                 gpointer data)
+                                 G_GNUC_UNUSED PurpleConversation *conv,
+                                 G_GNUC_UNUSED PurpleMessageFlags flags,
+                                 G_GNUC_UNUSED gpointer data)
 {
 	PurpleBuddy *buddy = NULL;
 	GIcon *icon = NULL;
@@ -150,8 +150,8 @@
                                    gchar *sender,
                                    gchar *message,
                                    PurpleConversation *conv,
-                                   PurpleMessageFlags flags,
-                                   gpointer data)
+                                   G_GNUC_UNUSED PurpleMessageFlags flags,
+                                   G_GNUC_UNUSED gpointer data)
 {
 	PurpleBuddy *buddy = NULL;
 	GIcon *icon = NULL;
diff --git a/libpurple/plugins/statenotify/statenotify.c b/libpurple/plugins/statenotify/statenotify.c
--- a/libpurple/plugins/statenotify/statenotify.c
+++ b/libpurple/plugins/statenotify/statenotify.c
@@ -61,7 +61,7 @@
 
 static void
 buddy_status_changed_cb(PurpleBuddy *buddy, PurpleStatus *old_status,
-                        PurpleStatus *status, void *data)
+                        PurpleStatus *status, G_GNUC_UNUSED gpointer data)
 {
 	GSettings *settings = NULL;
 	gboolean available, old_available;
@@ -89,7 +89,7 @@
 
 static void
 buddy_idle_changed_cb(PurpleBuddy *buddy, gboolean old_idle, gboolean idle,
-                      void *data)
+                      G_GNUC_UNUSED gpointer data)
 {
 	GSettings *settings = NULL;
 
@@ -106,7 +106,7 @@
 }
 
 static void
-buddy_signon_cb(PurpleBuddy *buddy, void *data)
+buddy_signon_cb(PurpleBuddy *buddy, G_GNUC_UNUSED gpointer data)
 {
 	GSettings *settings = NULL;
 
@@ -119,7 +119,7 @@
 }
 
 static void
-buddy_signoff_cb(PurpleBuddy *buddy, void *data)
+buddy_signoff_cb(PurpleBuddy *buddy, G_GNUC_UNUSED gpointer data)
 {
 	GSettings *settings = NULL;
 
@@ -132,7 +132,7 @@
 }
 
 static GPluginPluginInfo *
-state_notify_query(GError **error)
+state_notify_query(G_GNUC_UNUSED GError **error)
 {
 	const gchar * const authors[] = {
 		"Christian Hammond <chipx86@gnupdate.org>",
@@ -157,7 +157,7 @@
 }
 
 static gboolean
-state_notify_load(GPluginPlugin *plugin, GError **error)
+state_notify_load(GPluginPlugin *plugin, G_GNUC_UNUSED GError **error)
 {
 	void *blist_handle = purple_blist_get_handle();
 
@@ -174,7 +174,9 @@
 }
 
 static gboolean
-state_notify_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error)
+state_notify_unload(G_GNUC_UNUSED GPluginPlugin *plugin,
+                    G_GNUC_UNUSED gboolean shutdown,
+                    G_GNUC_UNUSED GError **error)
 {
 	return TRUE;
 }
